List all inventories activities
curl --request GET \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/pos/catalog/inventories/activites \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/pos/catalog/inventories/activites"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/pos/catalog/inventories/activites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"activities": [
{
"product_id": "<string>",
"product_name": "<string>",
"variant_id": "<string>",
"variant_name": "<string>",
"sku": "<string>",
"warehouse_id": "<string>",
"warehouse": {
"id": "<string>",
"name": "<string>",
"address_line1": "<string>",
"pincode": "<string>",
"city": "<string>",
"state": "<string>",
"is_default": true
},
"activity_type": "add",
"quantity": 123,
"reason": "<string>",
"lot_batch": "<string>",
"mfg_date": "2023-12-25",
"exp_date": "2023-12-25",
"manufacturer": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"total_records": 123,
"total_pages": 123,
"previous_page": 123,
"limit": 25,
"next_page": 123
}
}
}POSAdmin
List all inventories activities
Lists all inventory related activities of stock movements. This provides a comprehensive audit trail of inventory operations such as receiving, reservations, adjustments, transfers, and sales.
GET
/
pos
/
catalog
/
inventories
/
activites
List all inventories activities
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
page number of pagination list
Required range:
x >= 1no of rows per page
Required range:
x >= 1JSON string format: {"field1":"asc", "field2":"desc"} json string in format {'field_name':'asc', 'other_field_name':'desc', ...}
JSON object
Example:
"{\"condition\":\"AND\",\"filters\":[{\"type\":\"data\",\"field\":\"status\",\"operator\":\"equals\",\"value\":\"success\"}]}"
Was this page helpful?
⌘I